<div class="display-container collapsable collapsed">
    <div class="header communication-state warning-state format-source" instrument="Aerosol Dynamics Magic 200"></div>

    {% include 'acquisition/display/header_buttons.html' %}

    {% include 'acquisition/display/nocommunication_content.html' %}

    <table class="content display-data communication-state hide-false">
        <tbody>
            <tr> <td>Concentration (cm⁻³)</td>              <td class="value-formatted" field="N" rightpad="2"></td> </tr>
            <tr> <td>Lower threshold count rate (Hz)</td>   <td class="value-formatted" field="Clower" decimals="0" rightpad="4"></td> </tr>
            <tr> <td>Upper threshold count rate (Hz)</td>   <td class="value-formatted" field="Cupper"decimals="0" rightpad="4"></td> </tr>
            <tr> <td>Sample flow (lpm)</td>                 <td class="value-formatted" field="Q" decimals="3"></td> </tr>
            <tr> <td>Instrument flow (lpm)</td>             <td class="value-formatted" field="Qinstrument" decimals="3"></td> </tr>
            <tr> <td>Pressure (hPa)</td>                    <td class="value-formatted" field="P" rightpad="2"></td> </tr>
            <tr> <td>Orifice pressure drop (hPa)</td>       <td class="value-formatted" field="PD" rightpad="2"></td> </tr>
            <tr> <td>Supply voltage (V)</td>                <td class="value-formatted" field="V" rightpad="2"></td> </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false">
        <thead>
            <tr> <th colspan="2">Temperature</th> </tr>
        </thead>
        <tbody>
            <tr> <td>Inlet (°C)</td>            <td class="value-formatted" field="Tinlet" rightpad="2"></td> </tr>
            <tr> <td>Conditioner (°C)</td>      <td class="value-formatted" field="Tconditioner" rightpad="2"></td> </tr>
            <tr> <td>Initiator (°C)</td>        <td class="value-formatted" field="Tinitiator" rightpad="2"></td> </tr>
            <tr> <td>Moderator (°C)</td>        <td class="value-formatted" field="Tmoderator" rightpad="2"></td> </tr>
            <tr> <td>Optics (°C)</td>           <td class="value-formatted" field="Toptics" rightpad="2"></td> </tr>
            <tr> <td>Heat sink (°C)</td>        <td class="value-formatted" field="Theatsink" rightpad="2"></td> </tr>
            <tr> <td>PCB (°C)</td>              <td class="value-formatted" field="Tpcb" rightpad="2"></td> </tr>
            <tr> <td>Cabinet (°C)</td>          <td class="value-formatted" field="Tcabinet" rightpad="2"></td> </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false">
        <thead>
            <tr> <th colspan="2">Humidity</th> </tr>
        </thead>
        <tbody>
            <tr> <td>Inlet (°C)</td>            <td class="value-formatted" field="Uinlet" rightpad="2"></td> </tr>
            <tr> <td>Dewpoint (°C)</td>         <td class="value-formatted" field="TDinlet" rightpad="2"></td> </tr>
        </tbody>
    </table>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="conditioner_temperature_out_of_range">Conditioner (1st stage) temperature out of range</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="initiator_temperature_out_of_range">Initiator (2nd stage) temperature out of range</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="moderator_temperature_out_of_range">Moderator (3rd stage) temperature out of range</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="optics_temperature_out_of_range">Optics head temperature out of range</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="laser_off">Laser off</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="pump_off">Pump off</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="rh_sensor_error">RH sensor error</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="overheat">Overheating detected, TECs and optics turned off</div>

    <div class="content display-data communication-state notification-state hide-false"
         notification="rh_data_stale">RH data not updated since the last read</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="i2c_communication_error">I²C communication error</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="moderator_in_absolute_mode">Moderator switched to absolute mode due to RH sensor failure</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="water_pump_activated">Water extraction pump activated</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="invalid_flash_record">Invalid flash record</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="flash_full">Flash memory full</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="fram_data_invalid">FRAM data invalid</div>
</div>

<style>
#{{uid}} .warning { color: #f80; }
</style>


<script>
(function() {
    const context = document.getElementById('{{uid}}').context;
    context.standardMode();
})();
</script>